package org.processmining.ptconversions.yawl;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.UIExportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "YAWL CMap Export", returnLabels = {}, returnTypes = {}, parameterLabels = { "YAWL CMap",
"File" }, userAccessible = true)
@UIExportPlugin(description = "YAWL CMap", extension = "cmap")
public class ExportCMapping {
	@PluginVariant(variantLabel = "YAWL CMap Export", requiredParameterLabels = { 0, 1 })
	public void exportDefault(UIPluginContext context, CMapping cMapping, File file) throws IOException {
		exportPrivate(context, cMapping, file);
	}
	
	public void exportDefault(PluginContext context, CMapping cMapping, File file) throws IOException {
		exportPrivate(context, cMapping, file);
	}

	private void exportPrivate(PluginContext context, CMapping cMapping, File file) throws IOException {
		BufferedWriter bw = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(file)));
		bw.write(cMapping.getXML());
		bw.close();
	}
}
